MyGUI::SimpleText Class Reference

`#include <MyGUI_SimpleText.h>`

Inheritance diagram for MyGUI::SimpleText:
[legend]

## Public Types

typedef RTTIBase | Base
typedef SimpleText | RTTIBase
Public Types inherited from MyGUI::EditText
typedef RTTIBase | Base
typedef EditText | RTTIBase
Public Types inherited from MyGUI::ISubWidgetText
typedef RTTIBase | Base
typedef ISubWidgetText | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| SimpleText ()
void | setViewOffset (const IntPoint &_point) override
void | doRender () override
Public Member Functions inherited from MyGUI::EditText
template<typename Type>
bool | isType () const
| EditText ()
void | setVisible (bool _visible) override
void | updateRawData () const
void | setCaption (const UString &_value) override
const UString & | getCaption () const override
void | setTextColour (const Colour &_value) override
const Colour & | getTextColour () const override
void | setAlpha (float _value) override
void | setFontName (std::string_view _value) override
std::string_view | getFontName () const override
void | setFontHeight (int _value) override
int | getFontHeight () const override
void | createDrawItem (ITexture *_texture, ILayerNode *_node) override
void | destroyDrawItem () override
void | setTextAlign (Align _value) override
Align | getTextAlign () const override
size_t | getTextSelectionStart () const override
size_t | getTextSelectionEnd () const override
void | setTextSelection (size_t _start, size_t _end) override
bool | getSelectBackground () const override
void | setSelectBackground (bool _normal) override
bool | isVisibleCursor () const override
void | setVisibleCursor (bool _value) override
bool | getInvertSelected () const override
void | setInvertSelected (bool _value) override
size_t | getCursorPosition () const override
void | setCursorPosition (size_t _index) override
IntSize | getTextSize () const override
IntPoint | getViewOffset () const override
size_t | getCursorPosition (const IntPoint &_point) const override
IntCoord | getCursorCoord (size_t _position) const override
bool | getShadow () const override
void | setShadow (bool _value) override
void | setShiftText (bool _value) override
void | setWordWrap (bool _value) override
void | setStateData (IStateInfo *_data) override
void | setShadowColour (const Colour &_value) override
const Colour & | getShadowColour () const override
void | _updateView () override
void | _correctView () override
void | _setAlign (const IntSize &_oldsize) override
virtual const VectorLineInfo & | getLineInfo () const
Public Member Functions inherited from MyGUI::ISubWidgetText
template<typename Type>
bool | isType () const
IntPoint | getCursorPoint (size_t _position) const
IntRect | getCursorRect (size_t _position) const
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type>
bool | isType () const
virtual void | setAlign (Align _value)
virtual void | doManualRender (IVertexBuffer *, ITexture *, size_t)
Public Member Functions inherited from MyGUI::ICroppedRectangle
virtual | ~ICroppedRectangle ()=default
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::EditText
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidgetText
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Additional Inherited Members

Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Attributes inherited from MyGUI::EditText
bool | mEmptyView {false}
uint32 | mCurrentColourNative {0xFFFFFFFF}
uint32 | mInverseColourNative {0xFF000000}
uint32 | mShadowColourNative {0x00000000}
IntCoord | mCurrentCoord
UString | mCaption
UString::utf32string | mUtf32Caption
bool | mTextOutDate {false}
Align | mTextAlign {Align::Default}
Colour | mColour {Colour::White}
Colour | mShadowColour {Colour::Black}
float | mAlpha {ALPHA_MAX}
VertexColourType | mVertexFormat
IFont * | mFont {nullptr}
ITexture * | mTexture {nullptr}
int | mFontHeight {0}
int | mCustomFontHeight = 0
bool | mBackgroundNormal {true}
size_t | mStartSelect {0}
size_t | mEndSelect {0}
size_t | mCursorPosition {0}
bool | mVisibleCursor {false}
bool | mInvertSelect {true}
bool | mShadow {false}
IntPoint | mViewOffset
ILayerNode * | mNode {nullptr}
RenderItem * | mRenderItem {nullptr}
size_t | mCountVertex
bool | mIsAddCursorWidth {true}
bool | mShiftText {false}
bool | mWordWrap {false}
bool | mManualColour {false}
int | mOldWidth {0}
TextView | mTextView
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible {true}
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin {false}
ICroppedRectangle * | mCroppedParent {nullptr}

## Detailed Description

Definition at line 19 of file MyGUI_SimpleText.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::SimpleText::Base

Definition at line 21 of file MyGUI_SimpleText.h.

## RTTIBase

typedef SimpleText MyGUI::SimpleText::RTTIBase

Definition at line 21 of file MyGUI_SimpleText.h.

## Constructor & Destructor Documentation

## SimpleText()

MyGUI::SimpleText::SimpleText | ( |  | ) |

Definition at line 18 of file MyGUI_SimpleText.cpp.

## Member Function Documentation

## doRender()

void MyGUI::SimpleText::doRender | ( |  | ) |

override virtual

Reimplemented from MyGUI::EditText.

Definition at line 28 of file MyGUI_SimpleText.cpp.

## getClassTypeName()

std::string_view MyGUI::SimpleText::getClassTypeName | ( |  | ) |

inline static

Definition at line 21 of file MyGUI_SimpleText.h.

## getTypeName()

virtual std::string_view MyGUI::SimpleText::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::EditText.

Definition at line 21 of file MyGUI_SimpleText.h.

## isType() [1/2]

template<typename Type>

bool MyGUI::SimpleText::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 21 of file MyGUI_SimpleText.h.

## isType() [2/2]

virtual bool MyGUI::SimpleText::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::EditText.

Definition at line 21 of file MyGUI_SimpleText.h.

## setViewOffset()

void MyGUI::SimpleText::setViewOffset | ( | const IntPoint & | _point | ) |

override virtual

Reimplemented from MyGUI::EditText.

Definition at line 24 of file MyGUI_SimpleText.cpp.

The documentation for this class was generated from the following files:

- MyGUI_SimpleText.h
- MyGUI_SimpleText.cpp